# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Enumerations
common_types.h File Reference

Go to the source code of this file.

## Enumerations
enum | ChromaFormat { format444, format422, format420, formatNK }
enum | WltFilter { DD9_7 =0, LEGALL5_3, DD13_7, HAAR0, HAAR1, FIDELITY, DAUB9_7, filterNK }
enum | PrefilterType { NO_PF = 0, DIAGLP, RECTLP, CWM }
enum | PictureType { INTRA_PICTURE =0, INTER_PICTURE }
enum | ReferenceType { REFERENCE_PICTURE =0, NON_REFERENCE_PICTURE }
enum | VideoFormat { VIDEO_FORMAT_CUSTOM =0, VIDEO_FORMAT_QSIF525, VIDEO_FORMAT_QCIF, VIDEO_FORMAT_SIF525, VIDEO_FORMAT_CIF, VIDEO_FORMAT_4SIF525, VIDEO_FORMAT_4CIF, VIDEO_FORMAT_SD_480I60, VIDEO_FORMAT_SD_576I50, VIDEO_FORMAT_HD_720P60, VIDEO_FORMAT_HD_720P50, VIDEO_FORMAT_HD_1080I60, VIDEO_FORMAT_HD_1080I50, VIDEO_FORMAT_HD_1080P60, VIDEO_FORMAT_HD_1080P50, VIDEO_FORMAT_DIGI_CINEMA_2K24, VIDEO_FORMAT_DIGI_CINEMA_4K24, VIDEO_FORMAT_UHDTV_4K60, VIDEO_FORMAT_UHDTV_4K50, VIDEO_FORMAT_UHDTV_8K60, VIDEO_FORMAT_UHDTV_8K50, VIDEO_FORMAT_UNDEFINED }
enum | ColourPrimaries { CP_HDTV_COMP_INTERNET =0, CP_SDTV_525, CP_SDTV_625, CP_DCINEMA, CP_UNDEF }
enum | ColourMatrix { CM_HDTV_COMP_INTERNET =0, CM_SDTV, CM_REVERSIBLE, CM_UNDEF }
enum | TransferFunction { TF_TV =0, TF_EXT_GAMUT, TF_LINEAR, TF_DCINEMA, TF_UNDEF }
enum | FrameRateType { FRAMERATE_CUSTOM =0, FRAMERATE_23p97_FPS, FRAMERATE_24_FPS, FRAMERATE_25_FPS, FRAMERATE_29p97_FPS, FRAMERATE_30_FPS, FRAMERATE_50_FPS, FRAMERATE_59p94_FPS, FRAMERATE_60_FPS, FRAMERATE_14p98_FPS, FRAMERATE_12p5_FPS, FRAMERATE_UNDEFINED }
enum | PixelAspectRatioType { PIXEL_ASPECT_RATIO_CUSTOM =0, PIXEL_ASPECT_RATIO_1_1, PIXEL_ASPECT_RATIO_10_11, PIXEL_ASPECT_RATIO_12_11, PIXEL_ASPECT_RATIO_40_33, PIXEL_ASPECT_RATIO_16_11, PIXEL_ASPECT_RATIO_4_3, PIXEL_ASPECT_RATIO_UNDEFINED }
enum | SignalRangeType { SIGNAL_RANGE_CUSTOM =0, SIGNAL_RANGE_8BIT_FULL, SIGNAL_RANGE_8BIT_VIDEO, SIGNAL_RANGE_10BIT_VIDEO, SIGNAL_RANGE_12BIT_VIDEO, SIGNAL_RANGE_UNDEFINED }
enum | MVPrecisionType { MV_PRECISION_PIXEL =0, MV_PRECISION_HALF_PIXEL, MV_PRECISION_QUARTER_PIXEL, MV_PRECISION_EIGHTH_PIXEL, MV_PRECISION_UNDEFINED }
enum | CodeBlockMode { QUANT_SINGLE, QUANT_MULTIPLE, QUANT_UNDEF }

## Enumeration Type Documentation

enum ChromaFormat

This file contains common enumerated types used throughout the encoder and the end user interfaces to the encoder and decoder

Types of chroma formatting (formatNK=format not known)

Enumerator
format444 |
format422 |
format420 |
formatNK |

enum CodeBlockMode

Type of quantiser modes when spatial partitioning is enabled

Enumerator
QUANT_SINGLE |
QUANT_MULTIPLE |
QUANT_UNDEF |

enum ColourMatrix

Types of Colour Matrices

Enumerator
CM_HDTV_COMP_INTERNET |
CM_SDTV |
CM_REVERSIBLE |
CM_UNDEF |

enum ColourPrimaries

Types of Colour primaries

Enumerator
CP_HDTV_COMP_INTERNET |
CP_SDTV_525 |
CP_SDTV_625 |
CP_DCINEMA |
CP_UNDEF |

enum FrameRateType

Types of Picture-rate

Enumerator
FRAMERATE_CUSTOM |
FRAMERATE_23p97_FPS |
FRAMERATE_24_FPS |
FRAMERATE_25_FPS |
FRAMERATE_29p97_FPS |
FRAMERATE_30_FPS |
FRAMERATE_50_FPS |
FRAMERATE_59p94_FPS |
FRAMERATE_60_FPS |
FRAMERATE_14p98_FPS |
FRAMERATE_12p5_FPS |
FRAMERATE_UNDEFINED |

enum MVPrecisionType

Types of motion-vector precision

Enumerator
MV_PRECISION_PIXEL |
MV_PRECISION_HALF_PIXEL |
MV_PRECISION_QUARTER_PIXEL |
MV_PRECISION_EIGHTH_PIXEL |
MV_PRECISION_UNDEFINED |

enum PictureType

Types of picture

Enumerator
INTRA_PICTURE |
INTER_PICTURE |

enum PixelAspectRatioType

Types of Aspect Ratio

Enumerator
PIXEL_ASPECT_RATIO_CUSTOM |
PIXEL_ASPECT_RATIO_1_1 |
PIXEL_ASPECT_RATIO_10_11 |
PIXEL_ASPECT_RATIO_12_11 |
PIXEL_ASPECT_RATIO_40_33 |
PIXEL_ASPECT_RATIO_16_11 |
PIXEL_ASPECT_RATIO_4_3 |
PIXEL_ASPECT_RATIO_UNDEFINED |

enum PrefilterType

Enumerated type that defines prefiltering types supported by the encoder.

Enumerator
NO_PF |
DIAGLP |
RECTLP |
CWM |

enum ReferenceType

Types of referencing

Enumerator
REFERENCE_PICTURE |
NON_REFERENCE_PICTURE |

enum SignalRangeType

Types of signal range

Enumerator
SIGNAL_RANGE_CUSTOM |
SIGNAL_RANGE_8BIT_FULL |
SIGNAL_RANGE_8BIT_VIDEO |
SIGNAL_RANGE_10BIT_VIDEO |
SIGNAL_RANGE_12BIT_VIDEO |
SIGNAL_RANGE_UNDEFINED |

enum TransferFunction

Types of Transfer functions

Enumerator
TF_TV |
TF_EXT_GAMUT |
TF_LINEAR |
TF_DCINEMA |
TF_UNDEF |

enum VideoFormat

Types for video-format

Enumerator
VIDEO_FORMAT_CUSTOM |
VIDEO_FORMAT_QSIF525 |
VIDEO_FORMAT_QCIF |
VIDEO_FORMAT_SIF525 |
VIDEO_FORMAT_CIF |
VIDEO_FORMAT_4SIF525 |
VIDEO_FORMAT_4CIF |
VIDEO_FORMAT_SD_480I60 |
VIDEO_FORMAT_SD_576I50 |
VIDEO_FORMAT_HD_720P60 |
VIDEO_FORMAT_HD_720P50 |
VIDEO_FORMAT_HD_1080I60 |
VIDEO_FORMAT_HD_1080I50 |
VIDEO_FORMAT_HD_1080P60 |
VIDEO_FORMAT_HD_1080P50 |
VIDEO_FORMAT_DIGI_CINEMA_2K24 |
VIDEO_FORMAT_DIGI_CINEMA_4K24 |
VIDEO_FORMAT_UHDTV_4K60 |
VIDEO_FORMAT_UHDTV_4K50 |
VIDEO_FORMAT_UHDTV_8K60 |
VIDEO_FORMAT_UHDTV_8K50 |
VIDEO_FORMAT_UNDEFINED |

enum WltFilter

Types of Wavelet filters supported. filterNK - not known)

Enumerator
DD9_7 |
LEGALL5_3 |
DD13_7 |
HAAR0 |
HAAR1 |
FIDELITY |
DAUB9_7 |
filterNK |

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.